﻿@using Microsoft.Extensions.Localization
@using OTaskForce.Singletons

@implements IDisposable

@inject NavigationManager _navigationManager
@inject IStringLocalizer<HeaderNavigationBar> _localizer
@inject ProjectsOperator _projectsOperator

<ul class="nav nav-pills m-0">
    <li class="nav-item">
        <a class="nav-link active" href="/Project/VerificationData">@_localizer["Процес тестування"]</a>
    </li>
    <li class="nav-item">
        <a class="nav-link" href="javascript:void(0);">@_localizer["Експорт"]</a>
    </li>
</ul>

@code
{
    private bool _hasProjectOpened;
  
    protected override void OnInitialized()
    {
        _navigationManager.LocationChanged += NavigationManagerOnLocationChanged;
        _hasProjectOpened = _projectsOperator.CurrentProjectControl.HasProjectOpened;
    }

    private void NavigationManagerOnLocationChanged(object sender, LocationChangedEventArgs e)
    {
        _hasProjectOpened = _projectsOperator.CurrentProjectControl.HasProjectOpened;
        StateHasChanged();
    }

    public void Dispose()
    {
        _navigationManager.LocationChanged -= NavigationManagerOnLocationChanged;
    }
}